OpenJPH: ojph::local::param_cap Struct Reference

OpenJPH Open-source implementation of JPEG2000 Part-15

Loading...
Searching...
No Matches
ojph::local::param_cap Struct Reference

`#include <ojph_params_local.h>`

## Public Member Functions
| param_cap ()
void | check_validity (const param_cod &cod, const param_qcd &qcd)
bool | write (outfile_base *file)
void | read (infile_base *file)

## Private Attributes
ui16 | Lcap
ui32 | Pcap
ui16 | Ccap [32]

## Detailed Description

Definition at line 879 of file ojph_params_local.h.

## Constructor & Destructor Documentation

## ◆ param_cap()

ojph::local::param_cap::param_cap | ( |  | ) |
| inline

Definition at line 882 of file ojph_params_local.h.

References Lcap, param_cap(), and Pcap.

Referenced by param_cap().

## Member Function Documentation

## ◆ check_validity()

void ojph::local::param_cap::check_validity | ( | const param_cod & | cod,
|  | const param_qcd & | qcd )
| inline

Definition at line 889 of file ojph_params_local.h.

References Ccap, ojph::local::param_cod::DWT_REV53, ojph::local::param_qcd::get_MAGB(), and ojph::local::param_cod::get_wavelet_kern().

## ◆ read()

void ojph::local::param_cap::read | ( | infile_base * | file | ) |

Definition at line 788 of file ojph_params.cpp.

References Ccap, Lcap, OJPH_ERROR, Pcap, ojph::population_count(), ojph::infile_base::read(), and ojph::swap_bytes_if_le().

## ◆ write()

bool ojph::local::param_cap::write | ( | outfile_base * | file | ) |

Definition at line 764 of file ojph_params.cpp.

References ojph::local::CAP, Ccap, Lcap, Pcap, ojph::swap_bytes_if_le(), and ojph::outfile_base::write().

## Member Data Documentation

## ◆ Ccap

ui16 ojph::local::param_cap::Ccap[32]
| private

Definition at line 913 of file ojph_params_local.h.

Referenced by check_validity(), read(), and write().

## ◆ Lcap

ui16 ojph::local::param_cap::Lcap
| private

Definition at line 911 of file ojph_params_local.h.

Referenced by param_cap(), read(), and write().

## ◆ Pcap

ui32 ojph::local::param_cap::Pcap
| private

Definition at line 912 of file ojph_params_local.h.

Referenced by param_cap(), read(), and write().

The documentation for this struct was generated from the following files:

- /build/openjph/src/OpenJPH/src/core/codestream/ojph_params_local.h
- /build/openjph/src/OpenJPH/src/core/codestream/ojph_params.cpp